"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToKeyValuePage = exports.mapToKeyValue = void 0;
const base64_1 = require("../utils/base64");
const mapNextKey = (nextKey) => {
    if (!nextKey) {
        return null;
    }
    return { key: (0, base64_1.decode)(nextKey) };
};
const mapToKeyValue = (json) => ({
    // eslint-disable-line
    key: (0, base64_1.decode)(json.key),
    value: (0, base64_1.decode)(json.value),
});
exports.mapToKeyValue = mapToKeyValue;
const mapToKeyValuePage = (json) => ({
    // eslint-disable-line
    keyValuePairs: json.kvs.map((kv) => (0, exports.mapToKeyValue)(kv)),
    nextKey: mapNextKey(json.next_key),
});
exports.mapToKeyValuePage = mapToKeyValuePage;
